/*  Misfit Model 3D
 * 
 *  Copyright (c) 2004-2005 Kevin Worcester
 * 
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, 
 *  USA.
 *
 *  See the COPYING file for full license text.
 */


#ifndef __MEMGUARD_H
#define __MEMGUARD_H

enum _MemGuardState_e
{
   MGS_Normal,
   MGS_NoBuffer,
   MGS_NoMemory
};
typedef enum _MemGuardState_e MemGuardStateE;

// Returns non-zero if it can free memory
typedef int (*memguard_free_function)();

void memguard_init( memguard_free_function f );
void memguard_shutdown();

MemGuardStateE memguard_get_state();

#endif // __MEMGUARD_H 
